HandlerFactory (RabbIT/4)
Date: 2009-12-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.handler
Interface HandlerFactory

All Known Implementing Classes:
  BaseHandler, FilterHandler, GZipHandler, ImageHandler, MultiPartHandler

    public interface HandlerFactory

The methods needed to create a new Handler.

Author:
  Robert Olofsson

Method Summary
`Handler` | `getNewInstance(Connection connection, TrafficLoggerHandler tlh, HttpHeader header, BufferHandle bh, HttpHeader webheader, ResourceSource content, boolean mayCache, boolean mayFilter, long size)` Get a new Handler for the given request made.
`void` | `setup(SProperties properties)` setup the handler factory.

Method Detail

### getNewInstance

    Handler getNewInstance(Connection connection,
                           TrafficLoggerHandler tlh,
                           HttpHeader header,
                           BufferHandle bh,
                           HttpHeader webheader,
                           ResourceSource content,
                           boolean mayCache,
                           boolean mayFilter,
                           long size)

  Get a new Handler for the given request made.

  Parameters:
    `connection` - the Connection handling the request.
    `tlh` - the Traffic logger handler.
    `header` - the request.
    `bh` - the client side buffer handle (may contain the next request).
    `webheader` - the response.
    `content` - the resource.
    `mayCache` - if the handler may cache the response.
    `mayFilter` - if the handler may filter the response.
    `size` - the Size of the data beeing handled (-1 = unknown length).

### setup

    void setup(SProperties properties)

  setup the handler factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD